# Server Configuration
PORT=8080
ENVIRONMENT=development

# Database Configuration (MySQL/MariaDB)
DB_HOST=202.46.28.160
DB_PORT=53306
DB_USER=bambang
DB_PASSWORD=baminfor25
DB_NAME=iot_db
DB_CHARSET=utf8mb4
DB_PARSE_TIME=True
DB_LOC=Local

# JWT Configuration
JWT_SECRET_KEY=your-secret-key-change-this-in-production-2024

ENCRYPTION_KEY=abcdefghijklmnopqrstuvwxyz123456

# Upload Configuration
UPLOAD_PATH=./uploads
MAX_UPLOAD_SIZE=10485760

# CORS Configuration
ALLOWED_ORIGINS=*

# Gemini AI Configuration
GROQ_API_KEY=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

GROQ_MODEL=llama-3.3-70b-versatile